------------------------------------------------------------------------------------
--Name:  	zhongqiu3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-08-29
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(40, 40)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetDir(7)
Player_1:SetPos(39, 36)
Player_1:SetName("")
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_hong", 45, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(750)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 45, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(250)
local Player_2 = CppScriptMgr:AddPlayer(194, 45, 44, "Flora", 0, 0)
Player_2:SetDir(3)
CppScriptMgr:WaitMilSec(940)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(60)
Player_2:Say("Destruction! All must be destroyed!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:JumpTo(46, 36)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 39, 36, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
Player_1:SetDir(0)
Player_2:SetDir(5)
CppScriptMgr:WaitMilSec(1300)